# Connect phone call to user

Connect phone call to user. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/post-api-Conversation-create-phone-call-to-user

POST `/Conversation/create-phone-call-to-user`

Connect phone call to user. See the OpenAPI-defined parameters, request body, and responses below.

**OpenAPI description:** Este endpoint cria uma ligação telefônica para um usuário interno e conecta com o cliente.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters

This operation has no path, query, or header parameters.

## Request body

**Content type:** `application/json` · **Schema:** `CreatePhoneCallToUserRequestDto`



<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>connectorType</code></td><td><code>ConnectorType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>userId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>userEmail</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>customerPhoneNumber</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>callerId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>queueId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>



## Example request



```
curl --request POST \
  --url 'https://api.zild.ai/Conversation/create-phone-call-to-user' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "connectorType": 0,
  "userId": 0,
  "userEmail": "string",
  "customerPhoneNumber": "string",
  "callerId": "string",
  "queueId": 0
}'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Ligação criada com sucesso</td><td><code>application/json</code> · <code>CreatePhoneCallToUserResponseDto</code></td></tr></tbody></table>

**Example response (200):**



```
{
  "callSid": "string",
  "conversationId": 0,
  "userId": 0,
  "userEmail": "string",
  "customerPhoneNumber": "string",
  "callerId": "string",
  "status": "string"
}
```



## Data models

`ConnectorType`0 = AnalysisService; 1 = PostgreSQL; 2 = MySQl; 3 = SQLServer; 4 = GoogleBigQuery; 5 = AzureOpenAI; 6 = Chart; 7 = OracleDB; 8 = Deepgram; 9 = AzureSpeech; 10 = AzureLanguageNotUsedAnymore; 11 = AzureStorage; 12 = RetellAI; 13 = AzureVision; 14 = OriginalSoftware; 15 = GoogleApi; 16 = OpenAI; 17 = AzureAiDocumentIntelligence; 18 = ElevenLabs; 19 = Twilio; 20 = Anthropic; 21 = GoogleGemini; 22 = Monday; 23 = Omie; 24 = MEM9

`integer`

`CreatePhoneCallToUserRequestDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>connectorType</code></td><td><code>ConnectorType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>userId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>userEmail</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>customerPhoneNumber</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>callerId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>queueId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`CreatePhoneCallToUserResponseDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>callSid</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>conversationId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>userId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>userEmail</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>customerPhoneNumber</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>callerId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>
